#include "imu/capture/capture_imu.h"
#include "imu/sensor/sensor_imu.h"
#include "core/state_block/state_quaternion.h"

namespace wolf {

CaptureImu::CaptureImu(const TimeStamp& _init_ts,
                       SensorBasePtr _sensor_ptr,
                       const Eigen::Vector6d& _acc_gyro_data,
                       const Eigen::MatrixXd& _data_cov,
                       CaptureBasePtr _capture_origin_ptr) :
                CaptureMotion("CaptureImu", _init_ts, _sensor_ptr, _acc_gyro_data, _data_cov, 10, 9, _capture_origin_ptr, nullptr, nullptr, std::make_shared<StateBlock>(6, false))
{
    //
}

CaptureImu::CaptureImu(const TimeStamp& _init_ts,
                       SensorBasePtr _sensor_ptr,
                       const Eigen::Vector6d& _acc_gyro_data,
                       const Eigen::MatrixXd& _data_cov,
                       const Vector6d& _bias,
                       CaptureBasePtr _capture_origin_ptr) :
                CaptureMotion("CaptureImu", _init_ts, _sensor_ptr, _acc_gyro_data, _data_cov, 10, 9, _capture_origin_ptr, nullptr, nullptr, std::make_shared<StateBlock>(_bias, false))
{
    //
}

CaptureImu::~CaptureImu()
{
    //
}

} //namespace wolf
